CMSIS-DSP: arm_vlog_q31.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_vlog_q31.c File Reference

## Macros

#define | LOG_Q31_ACCURACY
#define | LOG_Q31_INTEGER_PART
#define | LOQ_Q31_THRESHOLD
#define | LOQ_Q31_Q32_HALF
#define | LOQ_Q31_Q30_HALF
#define | LOG_Q31_INVLOG2EXP

## Functions

void | arm_vlog_q31 (const q31_t *pSrc, q31_t *pDst, uint32_t blockSize)
| q31 vector of log values. More...

## Macro Definition Documentation

#define LOG_Q31_ACCURACY

#define LOG_Q31_INTEGER_PART

#define LOG_Q31_INVLOG2EXP

#define LOQ_Q31_Q30_HALF

#define LOQ_Q31_Q32_HALF

#define LOQ_Q31_THRESHOLD